<div class="container">
  <div class="row" ng-controller="projectController">
    <div class="col-12 text-center">
      <h1>Home</h1>
    </div>
    <div class="col-12">
      <h3>
        Projects
      </h3>
    </div>
    <div class="col-12" ng-repeat="p in projectDetails"> 
      <div class="col-12">
        <form>
          <div class="form-row">
              <div class="col-4">
                {{p.name}}
              </div>
              <div class="col-2">
                <select ng-model="user.userid" class="form-control">
                  <option ng-repeat="u in userslist" value="{{u._id}}">{{u.username}}</option>
                </select>
              </div>
              <div class="col-2">
                <select class="form-control" ng-model="user.permissions">
                  <option value="view" selected="selected">View</option>
                  <option value="edit">Edit</option>
                </select>
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-info" ng-click="addUser(p.name)">Add User</button>
              </div>
          </div>
          
        </form>
      </div>
      <div class="col-12">
        <span class="col-2">
          Url
        </span>
        <span class="col-2">
          Method
        </span>
        <span class="col-2">
          Request Body
        </span>
        <span class="col-2">
          Response Body
        </span>
        <span class="col-2">
          Headers
        </span>
      </div>
      <div class="col-12" ng-repeat="a in p.apis">
        <form>
          <div class="form-row">
              <div class="col-2">
                <input type="text" class="form-control" name="url" ng-model="a.url">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="method"  ng-model="a.method">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="request"  ng-model="a.requestBody">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="response"  ng-model="a.responseBody">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="headers"  ng-model="a.optionalHeaders">
              </div>
              <div class="col-2">
                <button type="submit" class="btn btn-primary" ng-click="editMethod(a, p.name)">Save</button>
              </div>
          </div>
          <p style="padding-bottom: 10px;"></p>            
        </form>        
      </div>
      <div class="col-12">
        <form>
          <div class="form-row">
              <div class="col-2">
                <input type="text" class="form-control" ng-model="method.url">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="method" ng-model="method.method">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="request" ng-model="method.requestBody">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="response" ng-model="method.responseBody">
              </div>
              <div class="col-2">
                <input type="text" class="form-control" name="headers" ng-model="method.optionalHeaders">
              </div>
              <div class="col-2">
                <button type="submit" class="btn btn-danger" ng-click="addMethod(p.name)">Add</button>
              </div>
          </div>
          <p style="padding-bottom: 10px;"></p>            
        </form>        
      </div>
    </div>
    <div class="col-12">
      <form>
        <div class="form-group">
          <label for="projectName">Project Name</label>
          <input type="text" class="form-control" name="projectName" placeholder="Name" ng-model="projectName">
        </div>
        <button type="submit" class="btn" ng-click="addProject()">Add New</button>
      </form>
    </div>
  </div>
</div>